'csc 230 demo
Imports System.IO

Public Class FrmPresidents
    Dim PresName As String()
    Dim PresYears As String()
    Dim PresNickName As String()
    Dim PresFileName As String()


    Private Sub FrmPresidents_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim MyStreamReader As StreamReader
        Dim AllInfo As String
        Dim Lines As String()
        Dim Token As String()
        Dim i As Integer

        Try
            MyStreamReader = New StreamReader(Directory.GetCurrentDirectory & "\PresidentData\Presidents.txt")
            AllInfo = MyStreamReader.ReadToEnd
            MyStreamReader.Close()
        Catch
            MsgBox("Couldn't read file.")
            Exit Sub
        End Try

        AllInfo = AllInfo.Trim
        Lines = AllInfo.Split(vbCrLf)

        PresName = New String(Lines.GetUpperBound(0)) {}
        PresYears = New String(Lines.GetUpperBound(0)) {}
        PresNickName = New String(Lines.GetUpperBound(0)) {}
        PresFileName = New String(Lines.GetUpperBound(0)) {}

        For i = 0 To Lines.GetUpperBound(0)
            Lines(i) = Lines(i).Trim
            Token = Lines(i).Split(",")
            PresName(i) = Token(0)
            PresYears(i) = Token(1)
            PresNickName(i) = Token(2)
            PresFileName(i) = Token(3)
            lstPresident.Items.Add(PresName(i))
        Next
    End Sub

    Private Sub lstPresident_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstPresident.SelectedIndexChanged
        Dim SelectedIndex As Integer

        SelectedIndex = Array.IndexOf(PresName, lstPresident.SelectedItem)
        'MsgBox(SelectedIndex)
        picPresident.Image = Image.FromFile(Directory.GetCurrentDirectory & "\PresidentData\" & PresFileName(SelectedIndex))

        lblInfo.Text = PresName(SelectedIndex) & vbCrLf & vbCrLf
        lblInfo.Text &= PresYears(SelectedIndex) & vbCrLf & vbCrLf
        lblInfo.Text &= PresNickName(SelectedIndex)
    End Sub
End Class
